package com.sinosig.core.module.dao.po;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigDecimal;

/**
 * 关系型数据实体表[Table] 对象
 */
public interface ISJZDXTable {

    //名称
    String getName();
    void setName(String name);
    //建立人
    String getCreateman();
    void setCreateman(String createman);
    //父名称
    String getPname();
    void setPname(String pname);
    //数据字典项标识
    String getSjzdxid();
    void setSjzdxid(String sjzdxid);
    //数据字典项名称
    String getSjzdxname();
    void setSjzdxname(String sjzdxname);
    //更新人
    String getUpdateman();
    void setUpdateman(String updateman);
    //编号
    String getCode();
    void setCode(String code);
    //更新时间
    Timestamp getUpdatedate();
    void setUpdatedate(Timestamp updatedate);
    //建立时间
    Timestamp getCreatedate();
    void setCreatedate(Timestamp createdate);
    //父编号
    String getPcode();
    void setPcode(String pcode);
    //数据字典标识
    String getSjzdid();
    void setSjzdid(String sjzdid);
}
